ORANGE(1)

NAME
orange - extract CAB files from self-extracting installers

DESCRIPTION

    orange [-d DIRECTORY] [-D LEVEL] [-h] [-l] FILENAME

-d DIRECTORY
    Extract files to DIRECTORY

-D LEVEL
    Set debug log level 0 - No logging (default) 1 - Errors only 2 - Errors and warnings 3 - Everything

-h  Show this help message

FILENAME
    The file to list or extract contents of

Orange is a tool and library for squeezing out juicy installable Microsoft Cabinet Files from self-extracting installers for Microsoft Windows. It currently supports the following kinds of installers:

    * Early support for installers created by Installer VISE. (Orange 0.3 or

    later)

    * Support for some installers created by Inno Setup. (Orange 0.2 or later) * Early support for the installer used by TomTom products. (Orange 0.2 or

    later)

    * InstallShield versions 5 and 6, using Unshield for extracting

    InstallShield Cabinet files.

    * Setup Factory versions 5 and 6 using Dynamite for data decompression. * Some other installer (using a DLL called inflate.dll). This is used by

    for example Macromedia Flash Player 6 for Pocket PC 2002.

    * Microsoft Cabinets (also self-extracting) when you have Cabextract

    installed.

    * Zip archives (also self-extracting) when you have UnZip installed.